org.apache.ignite.internal.util

## Interface GridSerializableIterator<E>

All Superinterfaces:
  Iterator<E>, Serializable

All Known Subinterfaces:
  CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>, GridCloseableIterator<T>, GridIterable<T>, GridIterator<T>, IgniteHistoricalIterator, IgniteRebalanceIterator, UpdateSourceIterator<T>, WALIterator

All Known Implementing Classes:
  AbstractWalRecordsIterator, CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator, FilteredWalIterator, FlatIterator, GridCacheIterator, GridCacheQueryManager.ScanQueryIterator, GridCloseableIteratorAdapter, GridCloseableIteratorAdapterEx, GridDhtTxEnlistFuture, GridDhtTxQueryResultsEnlistFuture, GridEmptyCloseableIterator, GridEmptyIterator, GridIterableAdapter, GridIteratorAdapter, GridSpiCloseableIteratorWrapper, IgniteRebalanceIteratorImpl, IgniteSingletonIterator, SingleSegmentLogicalRecordsIterator, TransformFilteringIterator

    public interface GridSerializableIterator<E>
    extends Iterator<E>, Serializable

Makes `Iterator` as `Serializable` and is useful for making anonymous serializable iterators.

### Method Summary

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020